## time 1.0

=== DESCRIPTION ===
Package: time
Title: Time tracking for developers
Version: 1.0
Author: Toby Dylan Hocking <tobob@berkeley.edu>
Description: Provides a function for drawing a progress bar using standard text output, and additional time-tracking routines that allow developers to track how long their processor-intensive calculations take.
Maintainer: Toby Dylan Hocking <tobob@berkeley.edu>
License: GPL version 2 or newer
Packaged: Wed Jun  8 11:43:47 2005; hornik
