## time 1.7

=== debian/changelog ===
time (1.7-24) unstable; urgency=low

  * New maintainer.  Thanks Tollef Fog Heen.  (Closes: #652670)
  * Thanks to previous maintainers for all of their efforts!
  * Acknowledge NMU for Build-Depends automake.  Thanks Salvatore
    Bonaccorso.  (Closes: #592620)
  * Update to new standards version 3.9.3.
  * Update to new compat level 9.
  * Use new machine readable copyright file format.
  * Convert package build system to debhelper dh build system.
  * Convert package build to "3.0 quilt".  Unwind diff.gz patches.  Use
    DEP3 format for patch tagging.
  * Use dh_installinfo instead of install-info from postinst scripts.
    Thanks Riku Saikkonen, Hans Spaans.  (Closes: #617935, #598099)
  * ru_maxrss is reported in KBytes not pages.  Thanks Richard Kettlewell,
    Sven Hartrumpf, Miles Bader.  (Closes: #649402)
  * Update bug report email addresses.  Thanks Faheem Mitha.  (Closes: #542469)
  * Improve capitalization in short description.  Thanks Filipus
    Klutiero. (Closes: #492669)
  * Fix man page roff formatting.  Thanks Bjarni Ingi Gislason.
    (Closes: #663260)
  * Fix man page formatting oddities.  Thanks Russ Allbery for the nice patch.
    See Bug#677013#68 for the discussion.
  * Fix texinfo standalone info program navigation oddity.  Reported by
    Russ Allbery.  See Bug#677013#63.

 -- Bob Proulx <bob@proulx.com>  Mon, 23 Feb 2012 12:55:30 -0700

time (1.7-23.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Change Build-Depends on automaken to an alternate
    dependency automake | automaken (Closes: #592620).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 13 Sep 2010 22:31:46 +0200

time (1.7-23) unstable; urgency=medium

  * Fix up install-info calls in postinst and prerm.  Closes: #491410

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 21 Jul 2008 12:27:09 +0200

time (1.7-22) unstable; urgency=low

  * Fix duplicated lines in man page.  Closes: #398610

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 18 Jul 2008 13:27:20 +0200

time (1.7-21) unstable; urgency=low

  * _Really_ switch maintainer.  Thanks to tbm for spotting this.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun,  6 Feb 2005 15:41:26 +0100

time (1.7-20) unstable; urgency=low

  * New maintainer.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun,  6 Feb 2005 12:40:40 +0100

time (1.7-19) unstable; urgency=low

  * debian/rules: Rewrite snippet for last fix so that it actually works

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  1 May 2004 08:20:36 -0500

time (1.7-18) unstable; urgency=low

  * debian/rules: Older versions of automake do not agree with the current 
    version of our install-info; /usr/share/info/dir{,.old}.gz are left 
    behind as a result iff /sbin:/usr/sbin are in the PATH as is the case 
    in Debian's autobuilders -- we now remove them at the end of  
    'make install'. 					 (Closes: #246778) 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  1 May 2004 07:55:00 -0500

time (1.7-17) unstable; urgency=low

  * Daniel Schepler <schepler@debian.org> kindly supplied the following:
    - configure.in: Add AM_MAINTAINER_MODE, to avoid problems with
      time stamp skew in the source package.  Closes: #208193.
  * Applied Daniel's patches with minor changes, and ran
    'aclocal; autoconf; automake-1.7 --gnu --add-missing --copy'
  * debian/control: Increased Standards-Version to 3.6.1.0

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  1 Sep 2003 14:06:20 -0500

time (1.7-16) unstable; urgency=low

  * time.c: When time exits in a non-normal way, return 128 plus the 
    number of the signal which caused time to stop or abort. Thanks to
    Steve Greenland and Herbert Xu for some clarification in this matter.
  * debian/time.1: Corrected typo, thanks Justin Pryzby (Closes: #201021)
  * debian/time.1: Documented exit code, and change above (Closes: #203804)
  * debian/time.1: Documented that bash users want /usr/bin/time
  * debian/rules: Converted to cdbs
  * debian/control: Added cdbs to Build-Depends, increased debhelper version
  * debian/control: automake Build-Depends changed to automaken
  * debian/control: Increase Standards-Version to 3.6.0

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  4 Aug 2003 21:03:47 -0500

time (1.7-15) unstable; urgency=low

  * debian/control: Add automake to Build-Depends (Closes: #146512)
  * Makefile.in: s/@AUTOMAKE@/automake/

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 11 May 2002 09:46:30 -0500

time (1.7-14) unstable; urgency=low

  * debian/time.1: Small clarification regarding -P flag (Closes: #146414)
  * configure.in, resuse.h, time.texi: Applied patch kindly provided by
    Albert Chin <china@thewrittenword.com> which fixes 144819 better

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  9 May 2002 20:18:47 -0500

time (1.7-13) unstable; urgency=low

  * resuse.h: Apply small patch to load sys/resource.h (Closes: #144819)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 29 Apr 2002 20:32:22 -0500

time (1.7-12) unstable; urgency=low

  * debian/copyright: Debian/GNU Linux typo fix (lintian)
  * debian/{pre,post}{inst,rm}: cleanups (lintian)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Apr 2002 11:42:46 -0500

time (1.7-11) unstable; urgency=low

  * debian/control: Added texinfo to Build-Depends (Closes: #90411)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Mar 2001 20:27:30 -0600

time (1.7-10) unstable; urgency=low

  * debian/control: Added Build-Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  4 Jan 2001 20:43:22 -0600

time (1.7-9) frozen unstable; urgency=low

  * time.c: Wrote minimal patch which adds a `-q|--quiet' options to
    suppress non-zero return code from the measured program (Closes: #56853)
  * debian/time.1: Updated to reflect new option
  * time.texi: Updated to reflect new option

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  8 Feb 2000 21:52:10 -0500

time (1.7-8) unstable; urgency=low

  * debian/preinst: Recognise "install" option (Closes: #51128)


