=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autoreconf

override_dh_installdocs:
	texi2html -monolithic time.texi
	dh_installdocs time.html

override_dh_installman:
	dh_installman debian/time.1

override_dh_installinfo:
	dh_installinfo
	rm -f debian/time/usr/share/info/dir
