## time 1.7-2

=== debian/control ===
Source: time
Section: utils
Priority: standard
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 2.4.0.0  

Package: time
Architecture: any
Depends: ${shlibs:Depends}
Description: The GNU time command.
 The `time' command runs another program, then displays information
 about the resources used by that program, collected by the system while
 the program was running.  You can select which information is reported
 and the format in which it is shown, or have `time' save the information
 in a file instead of display it on the screen.
 .
 The resources that `time' can report on fall into the general
 categories of time, memory, I/O, and IPC calls.
 .
 The GNU version can format the output in arbitrary ways by using a 
 printf-style format string to include various resource measurements.
