=== debian/rules ===
#!/usr/bin/make -f 					
# 							-*- makefile -*-
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# debian/rules file for the Debian/GNU Linux time package
# Copyright 1995-98 by Dirk Eddelbuettel <edd@debian.org>

package	= time
debtmp	:= $(shell pwd)/debian/tmp

# edd 10 Feb 98	See section 4.1 of Policy Manual
arch 		= $(shell dpkg --print-architecture)-linux

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

build:
	dh_testdir
	./configure --prefix=/usr $(arch) 
	$(MAKE) CC=gcc CFLAGS="-O2 -g -Wall" LDFLAGS=
	texi2html -verbose -monolithic $(package).texi
	touch build

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) -i distclean
	dh_clean build $(package).html 

binary-indep: build
# We have nothing to do by default.

binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs 
	$(MAKE) 		prefix=$(debtmp)/usr install
	dh_installdocs		README NEWS $(package).html
#	dh_installexamples
	dh_installmenu
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs	ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary:	binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean checkroot

# Local variables:
#   mode: makefile
# End:

old-binary-arch:    checkroot build
	$(checkdir)
	-rm -rf $(debtmp)
	install -d $(debtmp)/DEBIAN 
	install -c -m 0755 debian/post{inst,rm}	$(debtmp)/DEBIAN/.
	$(MAKE) INSTALL_PROGRAM='install -c -s' prefix=$(debtmp)/usr install
	gzip -9v $(debtmp)/usr/info/*
	install -d $(debtmp)/usr/man/man1
	install -c -m 0644 debian/time.1	$(debman)/man1/.
	gzip -9v $(debtmp)/usr/man/man1/*
	install -d -m 0755			$(menudir)
	install -c -m 0644 debian/menu		$(menudir)/$(package)
	install -d -m 0755			$(debdoc)
	install -c -m 0644 README NEWS 		$(debdoc)/.
	install -c -m 0644 ChangeLog 		$(debdoc)/changelog
	install -c -m 0644 debian/changelog	$(debdoc)/changelog.Debian
	install -c -m 0644 $(package).html	$(debdoc)/.
	gzip -9v $(debdoc)/*
	install -c -m 0644 debian/copyright	$(debdoc)/.
	dpkg-shlibdeps $(package)
	dpkg-gencontrol
	chown -R root.root $(debtmp)
	chmod -R g-ws $(debtmp)
	dpkg --build $(debtmp) ..
