## time 1.9

=== debian/changelog ===
time (1.9-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/patches/ftbfs_with_GCC-15.patch to fix exactly that
    (Closes: #1097999)

 -- Florian Ernst <florian@debian.org>  Sat, 13 Sep 2025 11:51:35 +0200

time (1.9-0.2) unstable; urgency=medium

  * Non-maintainer upload by the Reproducible Builds team.
  * Add debian/patches/0001-doc-time.texi.patch to remove timestamp from
    documentation. Closes: 983202. Patch by Vagrant Cascadian.

 -- Holger Levsen <holger@debian.org>  Thu, 22 Sep 2022 21:35:24 +0200

time (1.9-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version (from 2018). Closes: #881429.
  * Adjust debian/copyright for GPLv3+.
  * Fix remaining packaging issues from this issue. Closes: #751776.
    - Move the Homepage field to the Source stanza.
    - Hyphenate "License: freely-distributable".
    - Bring the patch headers a bit closer to DEP-3.
  * Remove patches applied upstream:
    - debian/patches/non-normal-exit.patch
    - debian/patches/ru_maxrss.patch
    - debian/patches/rusage-portability.patch
    - debian/patches/quiet.patch
    - debian/patches/bug-address.patch
    - debian/patches/configure.patch
    - debian/patches/info-direntry.patch,
    - debian/patches/info-nav.patch
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Jan 2021 20:28:43 +0100

time (1.7-25.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.

  [ Peter Pentchev ]
  * Mark the binary package as Multi-Arch: foreign.  (Addresses: #751776)

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 21 Jul 2015 15:52:01 +0200

time (1.7-25) unstable; urgency=medium

  * Patch for HZ and time.h inclusion.  Good in general and needed for
    Hurd.  Thanks Pino Toscano.  (Closes: #704283)
  * Improve -p,--portability documentation.  Thanks Jonathan Nieder.
    (Closes: #511456)
  * Remove build dependency on texi2html.  Thanks lintian.
  * Rebuild will acquire latest dpkg-buildflags settings.

 -- Bob Proulx <bob@proulx.com>  Sun, 09 Feb 2014 16:46:39 -0700
