=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/time/ time-(.*)\.tar\.gz
