=== tests/Makefile ===
RM=/bin/rm

LIBTIME=../libtime.a


all: $(LIBTIME)
#	cc -Wall -O -L.. -o test test.c -ltime

	cc -Wall -g -DDEBUG -L.. -o test test.c -ltime

$(LIBTIME):
	cd .. ; \
	make ; \
	cd Tests

clean:
	$(RM) *.o test

help:
	@echo "Valid targets:  help, clean, all."
